# FLAC__StreamMetadata_StreamInfo Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

FLAC STREAMINFO structure. (c.f. format specification)

## Public Attributes

unsigned | min_blocksize
unsigned | max_blocksize
unsigned | min_framesize
unsigned | max_framesize
unsigned | sample_rate
unsigned | channels
unsigned | bits_per_sample
FLAC__uint64 | total_samples
FLAC__byte | md5sum [16]

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |